ABCDEFGHIJKLMNOPQRSTUV
1
Test Case IDTest ScenarioTest Case Base URLEndpointQuery ParametersHeadersEnvironmentMethod TypePre-request ScriptRequest BodyExpected response BodyActual response BodyExpected Status CodeActual Status CodePass/Fail
2
CREATE Token Module
3
TC_CreateToken_001Create Token by sending a POST Request Verify the request method is POSThttps://restful-booker.herokuapp.com/authN/AContent-Type = application/jsonBooking environmentPOSTN/A{
"username" : "admin",
"password" : "password123"
}
Creates a new auth token to use for access to the PUT and DELETE /booking{
"token": "Any valid value"
}
200200pass
4
TC_CreateToken_002Verify the API Response status code is 200 OKpass
5
TC_CreateToken_003Verify respons body contain tokenpass
6
TC_CreateToken_004Verify the API response is JSON Formatpass
7
TC_CreateToken_005Verify the API response time is within
 accepted.
pass
8
CREATE Booking Module
9
TC_CreateBooking_006Creates a new booking in the API by sending POST Request.Verify the request method is POSThttps://restful-booker.herokuapp.com/bookingN/A1-Content-Type = application/json
2-Accept=application/json
Booking environmentPOSTRandom Data{
"firstname": "{{firstname}}",
"lastname": "{{lastname}}",
"totalprice": {{totalprice}},
"depositpaid": {{depositpaid}},
"bookingdates": {
"checkin": "{{checkin}}",
"checkout": "{{checkout}}"
},
"additionalneeds": "{{additionalneeds}}"
}
Create new booking using random data in the pre-request.{
"firstname": "{{random data in the pre-request}}",
"lastname": "{{random data in the pre-request}}",
"totalprice": {{random data in the pre-request}},
"depositpaid": {{random data in the pre-request}},
"bookingdates": {
"checkin": "{{random data in the pre-request}}",
"checkout": "{{random data in the pre-request}}"
},
"additionalneeds": "{{random data in the pre-request}}"
}
200200pass
10
TC_CreateBooking_007Verify the API Response status code is 200 OKpass
11
TC_CreateBooking_008Verify the API response is JSON Formatpass
12
TC_CreateBooking_009Verify the API response time is
within accepted
pass
13
TC_CreateBooking_010Verify the values for fields in the body is correctpass
14
TC_CreateBooking_011Verify the API response contains all
valid fields
pass
15
TC_CreateBooking_012Verify there is no field
 in the API response equal null
pass
16
TC_CreateBooking_013Verify the data type of any fields is correctpass
17
TC_CreateBooking_014Creates a new booking in the API by sending POST Request and using null dataVerify the response is fail when you use a null datahttps://restful-booker.herokuapp.com/bookingN/A1-Content-Type = application/json
2-Accept=application/json
Booking environmentPOSTRandom Data{
"firstname": null,
"lastname": null,
"totalprice": {{totalprice}},
"depositpaid": {{depositpaid}},
"bookingdates": {
"checkin": "{{checkin}}",
"checkout": "{{checkout}}"
},
"additionalneeds": "{{additionalneeds}}"
}
Internal Server ErrorInternal Server Error500500pass
18
GET ALL Booking ID Module
19
TC_GET ALL Booking ID_015Get a All Booking IDs by Sending GET requestVerify the request method is GEThttps://restful-booker.herokuapp.com/bookingN/AN/ABooking environmentGETN/AN/AReturn all Booking IDReturn all Booking ID200200pass
20
TC_GET ALL Booking ID_016Verify the API Response status code is 200 OKpass
21
TC_GET ALL Booking ID_017Verify the API response is JSON Formatpass
22
TC_GET ALL Booking ID_018Verify the API response time is
within accepted
pass
23
GET Details For Booking ID Module
24
TC_GET Details For Booking ID_019Get a specified Booking ID by Sending GET request and retrurn a valid data for the IDVerify the request method is GEThttps://restful-booker.herokuapp.combooking/{{bookingid}}N/AAccept = application/jsonBooking environmentGETN/AN/AReturn a valid data for specified booking IDReturn a valid data for specified booking ID200200pass
25
TC_GET Details For Booking ID_020Verify the API Response status code is 200 OKpass
26
TC_GET Details For Booking ID_021Verify the API response is JSON Formatpass
27
TC_GET Details For Booking ID_022Verify the API response time is
within accepted
pass
28
TC_GET Details For Booking ID_023Verify the values for fields in the body is correctpass
29
TC_GET Details For Booking ID_024Verify the API response contains all
valid fields
pass
30
TC_GET Details For Booking ID_025Verify there is no field
 in the API response equal null
pass
31
TC_GET Details For Booking ID_026Verify the data type of any fields is correctpass
32
UPDATE Booking Module
33
TC_UPDATE Booking _027UPDATE all details for Booking ID by sending PUT request and return a random data in the pre-requestVerify the request method is PUThttps://restful-booker.herokuapp.combooking/{{bookingid}}N/A1-Content-Type = application/json
2-Accept=application/json
3-Cookie=token={{token}}
Booking environmentPUTRandom Data{
"firstname": "{{firstname}}",
"lastname": "{{lastname}}",
"totalprice": {{totalprice}},
"depositpaid": {{depositpaid}},
"bookingdates": {
"checkin": "{{checkin}}",
"checkout": "{{checkout}}"
},
"additionalneeds": "{{additionalneeds}}"
}
UPDATE all data for the specified IDUPDATE data for the specified ID200200pass
34
TC_UPDATE Booking _028Verify the API Response status code is 200 OKpass
35
TC_UPDATE Booking _029Verify the API response is JSON Formatpass
36
TC_UPDATE Booking _030Verify the API response time is
within accepted
pass
37
TC_UPDATE Booking _031Verify the values for fields in the body is correctpass
38
TC_UPDATE Booking _032Verify the API response contains all
valid fields
pass
39
TC_UPDATE Booking _033Verify there is no field
 in the API response equal null
pass
40
TC_UPDATE Booking _034Verify the data type of any fields is correctpass
41
PARTIAL UPDATE Booking Module
42
TC_PARTIAL UPDATE Booking _035UPDATE some details for Booking ID by sending PATCH request and return a random data in the pre-requestVerify the request method is PATCHhttps://restful-booker.herokuapp.combooking/{{bookingid}}N/A1-Content-Type = application/json
2-Accept=application/json
3-Cookie=token={{token}}
Booking environmentPATCHRandom Data{
"bookingdates": {
"checkin": "{{checkin}}",
"checkout": "{{checkout}}"
},
"additionalneeds": "{{additionalneeds}}"
}
UPDATE some data for the specified IDUPDATE some data for the specified ID200200pass
43
TC_PARTIAL UPDATE Booking _036Verify the API Response status code is 200 OKpass
44
TC_PARTIAL UPDATE Booking _037Verify the API response is JSON Formatpass
45
TC_PARTIAL UPDATE Booking _038Verify the API response time is
within accepted
pass
46
TC_PARTIAL UPDATE Booking _039Verify the values for fields in the body is correctpass
47
TC_PARTIAL UPDATE Booking _040Verify the API response contains all
valid fields
pass
48
TC_PARTIAL UPDATE Booking _041Verify there is no field
 in the API response equal null
pass
49
TC_PARTIAL UPDATE Booking _042Verify the data type of any fields is correctpass
50
DELETE Booking Module
51
TC_DELETE Booking _043DELETE a specified booking ID by sending a DLETE requestVerify the request method is DELETEhttps://restful-booker.herokuapp.combooking/{{bookingid}}N/A1-Content-Type = application/json
2-Cookie=token={{token}}
Booking environmentDELETEN/AN/AReturn a messege "Created" and delete the specified IDReturn a messege "Created" and delete the specified ID201201pass
52
TC_DELETE Booking _044Verify the API Response status code is 201 OKpass
53
TC_DELETE Booking _045Verify the API response is Text formatpass
54
TC_DELETE Booking _046Verify the API response time is
within accepted
pass
55
HealthCheck Module
56
TC_DELETE Booking _047Send a GET request to confirm whether the API is up and runningVerify the request method is GEThttps://restful-booker.herokuapp.com/pingN/AN/ABooking environmentGETN/AN/AReturn a messege "Created"Return a messege "Created"201201pass
57
TC_DELETE Booking _048Verify the API Response status code is 201 OKpass
58
TC_DELETE Booking _049Verify the API response is Text format.pass
59
TC_DELETE Booking _050Verify the API response time is
within accepted
pass
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100